@echo off
cls
if (%1) == () goto help
if (%2) == () goto auto
if exist %1%2\desktop\*.* goto manual
goto help

:auto
if not exist %1\windows\desktop\*.* goto help
echo Windows 95 directory found, hit a key to begin installation.
pause >nul
md %1\windows\TMTP
attrib -r -h c:\logo.sys
if not exist c:\logo.bak copy c:\logo.sys c:\logo.bak
copy logo.sys c:\
if not exist %1\windows\logo?.bak copy %1\windows\logo?.sys %1\windows\*.bak
copy logow.sys %1\windows
copy logos.sys %1\windows
copy *.BMP %1\windows
copy *.ANI %1\windows\TMTP
copy *.CUR %1\windows\TMTP
copy *.ICO %1\windows\TMTP
copy *.WAV %1\windows\TMTP
copy *.TXT %1\windows\TMTP
if exist %1\progra~1\Plus!\Themes\*.* copy *.the %1\progra~1\Plus!\Themes
if not exist %1\progra~1\Plus!\themes\*.* echo *** The themes directory is not found ***
if not exist %1\progra~1\Plus!\themes\*.* pause
if not exist %1\windows\media\tink.wav goto skip1
echo Now uninstalling theme pack version 1...
%1
cd\windows
del SMALLS~1.BMP
del SMALLR~1.BMP
del RYOOHK~1.BMP
del RYOKO.BMP
del BEACHS~1.BMP
cd\windows\media
del TINK.WAV
del TINKX3~1.WAV
del TENCHI~1.WAV
del SASAMI~3.WAV
del SASAMI~1.WAV
del SASAMI~2.WAV
del RYOOHK~2.WAV
del RYOKO-~1.WAV
del RYOKO-~2.WAV
del AEKA-G~1.WAV
del MIHOSH~3.WAV
del MIHOSH~2.WAV
del MIHOSH~4.WAV
del MIHOSH~1.WAV
del MIHOSH~6.WAV
del MIHOSH~5.WAV
del KIYONO~1.WAV
del KIYONO~2.WAV
del ALL-HEEH.WAV
del AEKA-N~1.WAV
del AEKA-MOO.WAV
del PRETTY~1.WAV
cd\windows
:skip1
cls
echo Author's Notes:
echo ===============
echo.
echo Spent hours on this one, especially when this is the first time
echo that I'm making my own cursor and icons.  (fingers are hurting)
echo The icons aren't creative at all, they're just a bunch of crops
echo from existing pics.  Though I hope you'll like the "Yosho
echo recycling bin". ^_^  This will be something to fool around with
echo before the Pioneer Tenchi Windows CD is released I guess.
echo.
echo Again, the only "condition" that I would like to ask the user to
echo fulfill is to please keep the bitmap files out of other web
echo pages.  As usual, I'd much rather create new backgrounds for new
echo homepages then to see two homepages with identical backgrounds.
echo Thanks.
echo.
echo And again, any suggestions, comments, or ideas, just throw me a
echo mail at lanzer@mindlink.net.  Any updates to this theme pack
echo should be available in my web site too. (below)
echo * Read README.TXT for more stuff ;)
echo                                                            Derek (Lanzer) Liu
echo                                                    http://mindlink.net/lanzer
echo                                                              December 1, 1995
goto end

:manual
if not exist %1%2\desktop\*.* goto help
echo Windows 95 directory found, hit a key to begin installation.
pause >nul
md %1%2\TMTP
attrib -r -h c:\logo.sys
if not exist c:\logo.bak copy c:\logo.sys c:\logo.bak
copy logo.sys c:\
if not exist %1%2\logo?.bak copy %1%2\logo?.sys %1%2\*.bak
copy logow.sys %1%2
copy logos.sys %1%2
copy *.BMP %1%2
copy *.ANI %1%2\TMTP
copy *.CUR %1%2\TMTP
copy *.ICO %1%2\TMTP
copy *.WAV %1%2\TMTP
copy *.TXT %1%2\TMTP
if exist %1%3\themes\*.* copy *.the %1%3\Themes
if not exist %1%3\themes\*.* echo *** The themes directory is not found ***
if not exist %1%3\themes\*.* pause
if not exist %1%2\media\tink.wav goto skip2
echo Now uninstalling theme pack version 1...
%1
cd %2
del SMALLS~1.BMP
del SMALLR~1.BMP
del RYOOHK~1.BMP
del RYOKO.BMP
del BEACHS~1.BMP
cd %2\media
del TINK.WAV
del TINKX3~1.WAV
del TENCHI~1.WAV
del SASAMI~3.WAV
del SASAMI~1.WAV
del SASAMI~2.WAV
del RYOOHK~2.WAV
del RYOKO-~1.WAV
del RYOKO-~2.WAV
del AEKA-G~1.WAV
del MIHOSH~3.WAV
del MIHOSH~2.WAV
del MIHOSH~4.WAV
del MIHOSH~1.WAV
del MIHOSH~6.WAV
del MIHOSH~5.WAV
del KIYONO~1.WAV
del KIYONO~2.WAV
del ALL-HEEH.WAV
del AEKA-N~1.WAV
del AEKA-MOO.WAV
del PRETTY~1.WAV
cd %2
:skip2
cls
echo Author's Notes:
echo ===============
echo.
echo Spent hours on this one, especially when this is the first time
echo that I'm making my own cursor and icons.  (fingers are hurting)
echo The icons aren't creative at all, they're just a bunch of crops
echo from existing pics.  Though I hope you'll like the " Yosho
echo recycling bin". ^_^  This will be something to fool around with
echo before the Pioneer Tenchi Windows CD is released I guess.
echo.
echo Again, the only "condition" that I would like to ask the user to
echo fulfill is to please keep the bitmap files out of other web
echo pages.  As usual, I'd much rather create new backgrounds for new
echo homepages then to see two homepages with identical backgrounds.
echo Thanks.
echo.
echo And again, any suggestions, comments, or ideas, just throw me a
echo mail at lanzer@mindlink.net.  Any updates to this theme pack
echo should be available in my web site too. (below)
echo * Read README.TXT for more stuff ;)
echo                                                            Derek (Lanzer) Liu
echo                                                    http://mindlink.net/lanzer
echo                                                              December 1, 1995
goto end

:help
echo Tenchi Muyo Theme Pack for Windows 95 Version 2.0
echo.
echo Installing the Tenchi Theme Pack is simple, just type in:
echo       INSTALL [drive:] [Windows 95 directory] [Plus! directory]
echo.
echo (ex - INSTALL c: \Windows \progra~1\Plus!)
echo.
echo If your Plus! pack and Windows are installed at the
echo directories shown above, you can leave the directory
echo parameters blank.  So you only need to type (INSTALL C:).
echo.
echo If the theme pack directory is not found, please move the
echo *.THEME files to your "Plus!\Themes" directory manually
echo through the Windows Explorer.
echo.
echo.
echo * If you don't see long filenames, run LONGNAME.BAT before installing.
echo.
echo * If version 1 exists in your HD, the batch file will first uninstall it.
echo.
goto end

:end
